Subject: [bug#57050] [PATCH 3/6] gnu: chez-scheme: Fix use of "/bin/sh".

From: Maxime Devos <[email-masked]>
Date: Tue, 9 Aug 2022 23:24:21 +0200

On 09-08-2022 22:25, Philip McGrath wrote:

> I guess another possibility would be to call the macro something like
> GUIX_BIN_SH. That would make sense if we intended to adopt this approach more
> broadly, as I suggested in the email linked above about SML/NJ, but I think
> we'd need some consensus in that case to reserve  a concise name that wouldn't
> conflict with other uses in Guix.

In the glibc headers, there's some (POSIX?) standard macro that points 
at "/gnu/store/.../bin/sh" (I don't recall the name), any reason we 
aren't using that macro?  That would be Guix-independent. I'm not sure 
if a /gnu/store/... prefix is included, but if not, maybe we could try 
overriding it with -D...="/gnu/store/...", or failing that, add a 
post-unpack substitute* replacing [the macro name] -> 
"/gnu/store/.../bin/sh".

Greetings,
Maxime.